Test::Unit::Error(3pm)

NAME
Test::Unit::Error - unit testing framework exception class

SYNOPSIS
This class is not intended to be used directly

DESCRIPTION
This class is used by the framework to communicate the occurrence of run-time errors (that is, syntax errors and the like, not failed tests, as the latter are classified as failures) generated by user code. When such an error occurs, an instance of this class will be thrown and caught internally in the framework.

AUTHOR
Copyright (c) 2000-2002, 2005 the PerlUnit Development Team (see Test::Unit or the AUTHORS file included in this distribution).

All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO

•   Test::Unit::Exception

•   Test::Unit::Assert